Skip to main content
DELETE
/
notification-preferences
/
workspaces
/
{workspaceId}
Delete Notification Preference Workspace Rule
curl --request DELETE \
  --url https://cloud.kaneo.app/api/notification-preferences/workspaces/{workspaceId} \
  --header 'Authorization: Bearer <token>'
{
  "emailAddress": "<string>",
  "emailEnabled": true,
  "ntfyEnabled": true,
  "ntfyConfigured": true,
  "ntfyServerUrl": "<string>",
  "ntfyTopic": "<string>",
  "ntfyTokenConfigured": true,
  "maskedNtfyToken": "<string>",
  "gotifyEnabled": true,
  "gotifyConfigured": true,
  "gotifyServerUrl": "<string>",
  "gotifyTokenConfigured": true,
  "maskedGotifyToken": "<string>",
  "webhookEnabled": true,
  "webhookConfigured": true,
  "webhookUrl": "<string>",
  "webhookSecretConfigured": true,
  "maskedWebhookSecret": "<string>",
  "workspaces": [
    {
      "id": "<string>",
      "workspaceId": "<string>",
      "workspaceName": "<string>",
      "isActive": true,
      "emailEnabled": true,
      "ntfyEnabled": true,
      "gotifyEnabled": true,
      "webhookEnabled": true,
      "projectMode": "all",
      "selectedProjectIds": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "createdAt": null,
  "updatedAt": null
}

Documentation Index

Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

workspaceId
string
required

Response

Updated notification preferences

emailAddress
string | null
required
emailEnabled
boolean
required
ntfyEnabled
boolean
required
ntfyConfigured
boolean
required
ntfyServerUrl
string | null
required
ntfyTopic
string | null
required
ntfyTokenConfigured
boolean
required
maskedNtfyToken
string | null
required
gotifyEnabled
boolean
required
gotifyConfigured
boolean
required
gotifyServerUrl
string | null
required
gotifyTokenConfigured
boolean
required
maskedGotifyToken
string | null
required
webhookEnabled
boolean
required
webhookConfigured
boolean
required
webhookUrl
string | null
required
webhookSecretConfigured
boolean
required
maskedWebhookSecret
string | null
required
workspaces
object[]
required
createdAt
unknown
required
updatedAt
unknown
required